---
title: "Templates"
description: "Manage invoice templates and their settings."
url: https://docs.invoicefalcon.com/api/templates/
api: "API v1 reference"
---

# Templates

Manage invoice templates and their settings.

## The template object

- `template` (object)
  - `id` (integer): Use as `template_id` in pdf/send_email/create.
  - `name` (string): e.g. `Default invoice`
  - `template_type` (string): e.g. `invoice` One of: `invoice`, `packing_slip`, `credit_note`.
  - `design_key` (string, nullable): e.g. `classic`
  - `pre_selected_orders` (boolean): e.g. `true`
  - `pre_selected_draft_orders` (boolean): e.g. `false`
  - `pre_selected_pos_orders` (boolean): e.g. `false`
  - `pre_selected_credit_notes` (boolean): e.g. `false`
  - `accent_color` (string): e.g. `#1F6FEB`
  - `font_family` (string): e.g. `Helvetica`
  - `font_size` (integer): e.g. `11`
  - `date_format` (string): e.g. `%d %b %Y`
  - `invoice_number_prefix` (string): e.g. `INV-`
  - `logo_url` (string, nullable): e.g. `https://example.com/logo.png`
  - `logo_width` (integer): e.g. `120`
  - `logo_enabled` (boolean): e.g. `true`
  - `created_at` (string): e.g. `2025-11-03T14:02:00Z`
  - `updated_at` (string): e.g. `2026-01-10T08:15:00Z`

```json
{
  "template": {
    "id": 311,
    "name": "Default invoice",
    "template_type": "invoice",
    "design_key": "classic",
    "pre_selected_orders": true,
    "pre_selected_draft_orders": false,
    "pre_selected_pos_orders": false,
    "pre_selected_credit_notes": false,
    "accent_color": "#1F6FEB",
    "font_family": "Helvetica",
    "font_size": 11,
    "date_format": "%d %b %Y",
    "invoice_number_prefix": "INV-",
    "logo_url": "https://example.com/logo.png",
    "logo_width": 120,
    "logo_enabled": true,
    "created_at": "2025-11-03T14:02:00Z",
    "updated_at": "2026-01-10T08:15:00Z"
  }
}
```

## Endpoints

- `GET /templates`: [List templates](https://docs.invoicefalcon.com/api/templates/list-templates.md)
- `POST /templates`: [Create a template](https://docs.invoicefalcon.com/api/templates/create-a-template.md)
- `GET /templates/{id}`: [Get a template](https://docs.invoicefalcon.com/api/templates/get-a-template.md)
- `PATCH /templates/{id}`: [Update a template](https://docs.invoicefalcon.com/api/templates/update-a-template.md)
- `DELETE /templates/{id}`: [Delete a template](https://docs.invoicefalcon.com/api/templates/delete-a-template.md)
